summaryrefslogtreecommitdiff
path: root/tests/du/restore-wd
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/restore-wd')
-rwxr-xr-xtests/du/restore-wd4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/du/restore-wd b/tests/du/restore-wd
index c7b623306..3b8a3c97f 100755
--- a/tests/du/restore-wd
+++ b/tests/du/restore-wd
@@ -2,7 +2,7 @@
# due to a bug in glibc's ftw.c, in some cases, nftw w/FTW_CHDIR
# would not restore the working directory.
-# Copyright (C) 2003 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0